<?xml version="1.0" encoding="UTF-8" ?>
<!--  
 | Composite DITA topics to HTML
 |
 | (C) Copyright IBM Corporation 2001, 2002, 2003. All Rights Reserved.
 | This file is part of the DITA package on IBM's developerWorks site.
 | See license.txt for disclaimers.
 +
 | updates:
 *-->

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<!-- stylesheet imports -->

<xsl:import href="../../xsl/topic2html.xsl"/>
<xsl:import href="../../xsl/task2html.xsl"/>
<xsl:import href="../../xsl/ref2html.xsl"/>
<xsl:import href="../../xsl/xslhtml/domains2html.xsl"/>
<xsl:import href="wiztask-d.xsl"/>


<!-- XHTML output with XML syntax -->
<xsl:output method="xml"
            encoding="utf-8"
            indent="no"
            doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"
            doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
/>


<xsl:template match="/" priority="3">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="dita">
  <xsl:call-template name="dita-setup"/>
</xsl:template>

<xsl:template match="*[contains(@class,' map/map ')]">
  <xsl:call-template name="dita-setup"/>
</xsl:template>


<!-- this template just consumes the dita or map-based wrapper for now. -->
<xsl:template name="dita-setup" >
  <xsl:apply-templates/>
</xsl:template>


<!-- set overrides here -->
<!--xsl:param name="OUTEXT" select="'html'"/-->

</xsl:stylesheet>
